@import url('https://fonts.googleapis.com/css2?family=Poppins:wght@400;500;600;700;800&dislay=swap');
*{
  margin: 0;
  padding: 0;
  box-sizing: border-box;
  font-family: 'Poppins', sans-serif;
}

:root{
  --primary-color:#c6c3c3;
  --secondary-color:#ffffff;
  --black-color:#000000;
}
body{
  /*background-image: url("../images/travelexpress.jpg");*/
  background-position: center;
  background-size: cover;
  background-repeat: no-repeat;
  background-attachment: fixed;
}
a{
  text-decoration: none;
  color: var(--second-color);
}
a:hover{
  text-decoration: underline;
}

/* WRAPPER */
.wrapper{
  width: 100%;
  display: flex;
  justify-content: center;
  align-items: center;
  min-height: 100vh;
}
.login_box{
  position: relative;
  width: 450x;
  backdrop-filter: blur(25px);
  border: 2px solid var(--primary-color);
  border-radius: 15px;
  padding: 7.5em 2.5em 4em 2.5em;
  color: var(--secondary-color);
  box-shadow: 0px 0px 10px 2px rgba(0, 0, 0, 0.3);
}
.login_header{
  position: absolute;
  top: 0;
  left: 50%;
  transform: translateX(-50%);
  display: flex;
  align-items: center;
  justify-content: center;
  background-color: var(--primary-color);
  width: 140px;
  height: 70px;
  border-radius: 0 0 20px 20px;
}
.login_header span{
  font-size: 30px;
  color: var(--black-color);
}
.login_header::before{
  content: "";
  position: absolute;
  top: 0;
  left: -30px;
  width: 30px;
  height: 30px;
  border-top-right-radius: 50%;
  background: transparent;
  box-shadow: 15px 0 0 0 var(--primary-color );
}
.login_header::after{
  content: "";
  position: absolute;
  top: 0;
  right: -30px;
  width: 30px; 
  height: 30px;
  border-top-left-radius: 50%;
  background: transparent;
  box-shadow: -15px 0 0 0 var(--primary-color );
}
.input_box{
  position: relative;
  display: flex;
  flex-direction: column;
  margin: 20x 0;
}
.input_field{
  width: 100%;
  height: 55px;
  font-size: 16px;
  background: transparent;
  color: var(--second-color);
  padding-inline: 20px 50px;
  border: 2px solid var(--primary-color);
  border-radius: 30px;
  outline: none;
}
#user{
  margin-bottom: 10px;
}
.label{
  position: absolute;
  top: 15px;
  left: 20px;
  transform: .2s;
}
.input_field:focus ~ .label,
.input_field:valid ~ .label{
  position: absolute;
  top: -10px;
  left: 20px;
  font-size: 14px;
  background-color: var(--primary-color);
  border-radius: 30px;
  color: var(--black-color);
  padding: 0 10px;
}
.icon{
  position: absolute;
  top: 18px;
  right: 25px;
  font: 20px;
}
.remember-forgot{
  display: flex;
  justify-content: space-between;
  font-size: 15px;
}
.input_submit{
  width: 100%;
  height: 50px;
  background: #ececec;
  font-size: 16px;
  font-weight: 500;
  border: none;
  border-radius: 30px;
  cursor: pointer;
  transition: .3s;
}
.input_submit:hover{
  background: var(--second-color);
}
.register{
  text-align: center;
}
.register a{
  font-weight: 500;
}
@media only screen and (max-width:564px){
  .wrapper{
    padding: 20px;
  }
  .login_box{
    padding: 7.5em 1.5em 4em 1.5em; 
  }
}

  /* FOOTER */
  footer {
    text-align: center;
    padding: 1rem;
    background: rgba(0, 0, 0, 0.6);
    color: white;
    flex-shrink: 0;
  }
  
    .index {
      margin: 0;
      padding: 0;
      box-sizing: border-box;
      font-family: Arial, sans-serif;
    }

    body {
      line-height: 1.6;
      background-color: #f9f9f9;
      color: #333;
    }

    .hero {
      position: relative;
      text-align: center;
      color: white;
    }

    .hero img {
      width: 100%;
      height: 100vh;
      object-fit: cover;
      filter: brightness(90%);
    }

    /* Heading on background */
    .site-heading {
      position: absolute;
      top: 5%;              /* padding from top */
      left: 50%;
      padding-left: 3%;
      transform: translateX(-50%);
      font-size: 3rem;
      font-weight: bold;
      text-transform: uppercase;
      z-index: 10;
    }

    .red-text {
      color: #9C0000;
    }
    .white-text {
      color: #ffffff;
    }

    /* Button Container */
    .auth-buttons {
      position: absolute;
      top: 20px;
      left: 0;
      width: 100%;
      display: flex;
      justify-content: space-between;
      padding-right: 38%;
      z-index: 10;
      padding-left: 38%;
      padding-top: 5%;
      width: 100%;
      display: flex;
      align-items: center;
      min-height:100vh;
    }

    /* Sign In Button */
    .btn-signin {
      background-color: white;
      color: red;
      padding: 0.6rem 1.2rem;
      font-size: 1rem;
      border: 2px white;
      border-radius: 5px;
      text-decoration: none;
      transition: 0.2s;
    }
    .btn-signin:hover {
      background-color: #cc0000;
      color:#f5f5f5
    }

    /* Register Button */
    .btn-register {
      background-color: #cc0000;
      color: white;
      padding: 0.6rem 1.2rem;
      font-size: 1rem;
      border-radius: 5px;
      text-decoration: none;
      transition: 0.2s;
    }
    .btn-register:hover {
      background-color: #FFFFFF;
      color: #cc0000
    }

    footer {
      text-align: center;
      padding: 1rem;
      background: #333;
      color: white;
    }

    @media (max-width: 768px) {
      .btn-signin, .btn-register {
        padding: 0.5rem 1rem;
        font-size: 0.9rem;
      }
      .auth-buttons {
        padding: 0 20px;
      }
      .site-heading {
        font-size: 2rem;
        padding-left: 0%
  
      }
    }
